import type { ICD } from '@/api/device/interface/icd'
import http from '@/api'
import { pa } from 'element-plus/es/locale/index.mjs'

/**
 * @name ICD管理模块
 */



//获取ICD分页
export const getICDList = (params: ICD.ReqICDParams) => {
    return http.post(`/icd/list`,params)
}


//获取ICD
export const getICDAllList = (params: ICD.ResICD) => {
    return http.get(`/icd/listAll`,params)
}

//添加ICD
export const addICD = (params: ICD.ResICD) => {
    return http.post(`/icd/add`, params)
  }
  
  //编辑ICD
  export const updateICD = (params: ICD.ResICD) => {
    return http.post(`/icd/update`, params)
  }
  
  //删除ICD
  export const deleteICD = (params: string[]) => {
    return http.post(`/icd/delete`, params)
  }



